Bug 186596 - [patch] multimedia/imagination stage support, options helpers
Summary: [patch] multimedia/imagination stage support, options helpers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-09 18:00 UTC by Zsolt Udvari
Modified: 2014-03-14 15:30 UTC (History)
1 user (show)

See Also:


Attachments
imagination.diff (1.41 KB, patch)
2014-02-09 18:00 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2014-02-09 18:00:00 UTC
multimedia/imagination
* supports stage (make DESTDIR works)
* using options helpers
* move sox dependency from BUILD_DEPENDS to LIB_DEPENDS
Comment 1 Edwin Groothuis freebsd_committer 2014-02-09 18:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-09 18:00:08 UTC
Maintainer of multimedia/imagination,

Please note that PR ports/186596 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186596

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Olivier Duchateau freebsd_committer 2014-02-18 08:25:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->olivierd

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-03-14 15:20:55 UTC
Author: olivierd
Date: Fri Mar 14 15:20:36 2014
New Revision: 348254
URL: http://svnweb.freebsd.org/changeset/ports/348254
QAT: https://qat.redports.org/buildarchive/r348254/

Log:
  - Support STAGEDIR [1]
  - Use options helpers [1]
  - Move sox dependency from BUILD_DEPENDS to LIB_DEPENDS [1]
  - Force Imagination to use plugins [2]
  
  - Adjust GNOME dependencies
  - Add patch when NLS is not set
  - Bump PORTREVISION
  
  PR:		186596 [1], 186644 [2]
  Submitted by:	Zsolt Udvari [1], [2]
  Approved by:	Jesse Smith (maintainer) [1], timeout (> 1 month) [2]

Added:
  head/multimedia/imagination/files/patch-configure   (contents, props changed)
  head/multimedia/imagination/files/patch-use-plugins.h   (contents, props changed)
Modified:
  head/multimedia/imagination/Makefile
  head/multimedia/imagination/pkg-plist

Modified: head/multimedia/imagination/Makefile
==============================================================================
--- head/multimedia/imagination/Makefile	Fri Mar 14 15:20:35 2014	(r348253)
+++ head/multimedia/imagination/Makefile	Fri Mar 14 15:20:36 2014	(r348254)
@@ -3,36 +3,24 @@
 
 PORTNAME=	imagination
 PORTVERSION=	3.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	multimedia
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}/
 
 MAINTAINER=	jessefrgsmith@yahoo.ca
 COMMENT=	DVD slideshow maker
 
-BUILD_DEPENDS=	${LOCALBASE}/lib/gtk-2.0:${PORTSDIR}/x11-toolkits/gtk20 \
-		${LOCALBASE}/bin/sox:${PORTSDIR}/audio/sox \
-		${LOCALBASE}/bin/intltool-extract:${PORTSDIR}/textproc/intltool
-RUN_DEPENDS=	${LOCALBASE}/bin/ffmpeg:${PORTSDIR}/multimedia/ffmpeg
+LIB_DEPENDS=	libsox.so:${PORTSDIR}/audio/sox \
+	libavcodec.so:${PORTSDIR}/multimedia/ffmpeg
 
 GNU_CONFIGURE=	yes
-USES=		gmake pkgconfig
+USES=		gmake pkgconfig pathfix
+USE_GNOME=	gtk20 intltool intlhack libxslt
 INSTALLS_ICONS=	yes
 
-WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}
-
-NO_STAGE=	yes
-
 OPTIONS_DEFINE=	NLS
-
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MNLS}
-USES+=		gettext
-PLIST_SUB+=	NLS=""
-.else
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
+OPTIONS_SUB=	yes
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=	gettext
 
 .include <bsd.port.mk>

Added: head/multimedia/imagination/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/imagination/files/patch-configure	Fri Mar 14 15:20:36 2014	(r348254)
@@ -0,0 +1,11 @@
+--- ./configure.orig	2011-03-06 20:06:44.000000000 +0000
++++ ./configure	2014-03-14 15:08:46.000000000 +0000
+@@ -13029,7 +13029,7 @@
+ 
+     fi
+   fi
+-     USE_NLS=yes
++     #USE_NLS=yes
+ 
+ 
+     gt_cv_have_gettext=no

Added: head/multimedia/imagination/files/patch-use-plugins.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/imagination/files/patch-use-plugins.h	Fri Mar 14 15:20:36 2014	(r348254)
@@ -0,0 +1,11 @@
+--- src/support.h.orig	2014-02-11 08:51:06.175251265 +0100
++++ src/support.h	2014-02-11 08:51:14.270248604 +0100
+@@ -20,7 +20,7 @@
+ #ifndef __IMAGINATION_SUPPORT_H
+ #define __IMAGINATION_SUPPORT_H
+ 
+-#define PLUGINS_INSTALLED 0
++#define PLUGINS_INSTALLED 1
+ 
+ #ifdef HAVE_CONFIG_H
+ #  include <config.h>

Modified: head/multimedia/imagination/pkg-plist
==============================================================================
--- head/multimedia/imagination/pkg-plist	Fri Mar 14 15:20:35 2014	(r348253)
+++ head/multimedia/imagination/pkg-plist	Fri Mar 14 15:20:36 2014	(r348254)
@@ -29,21 +29,11 @@ lib/imagination/rochade.la
 lib/imagination/rochade.so
 lib/imagination/wave.la
 lib/imagination/wave.so
-%%NLS%%lib/locale/cs/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/de/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/en_GB/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/fr/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/it/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/pt_BR/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/sv/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/zh_CN/LC_MESSAGES/imagination.mo
-%%NLS%%lib/locale/zh_TW/LC_MESSAGES/imagination.mo
 share/applications/imagination.desktop
 share/icons/hicolor/16x16/apps/imagination.png
 share/icons/hicolor/24x24/apps/imagination.png
 share/icons/hicolor/48x48/apps/imagination.png
 share/icons/hicolor/scalable/apps/imagination.svg
-share/icons/hicolor/icon-theme.cache
 %%DATADIR%%/pixmaps/imagination-1.gif
 %%DATADIR%%/pixmaps/imagination-1.png
 %%DATADIR%%/pixmaps/imagination-10.gif
@@ -195,25 +185,15 @@ share/icons/hicolor/icon-theme.cache
 %%DATADIR%%/pixmaps/imagination-pos-7.png
 %%DATADIR%%/pixmaps/imagination-pos-8.png
 %%DATADIR%%/pixmaps/imagination-text.png
+%%NLS%%share/locale/cs/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/de/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/en_GB/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/it/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/imagination.mo
+%%NLS%%share/locale/zh_TW/LC_MESSAGES/imagination.mo
 @dirrmtry %%DATADIR%%/pixmaps
 @dirrmtry %%DATADIR%%
-%%NLS%%@dirrm lib/locale/zh_TW/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/zh_TW
-%%NLS%%@dirrm lib/locale/zh_CN/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/zh_CN
-%%NLS%%@dirrm lib/locale/sv/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/sv
-%%NLS%%@dirrm lib/locale/pt_BR/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/pt_BR
-%%NLS%%@dirrm lib/locale/it/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/it
-%%NLS%%@dirrm lib/locale/fr/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/fr
-%%NLS%%@dirrm lib/locale/en_GB/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/en_GB
-%%NLS%%@dirrm lib/locale/de/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/de
-%%NLS%%@dirrm lib/locale/cs/LC_MESSAGES
-%%NLS%%@dirrm lib/locale/cs
-@dirrmtry lib/locale
 @dirrm lib/imagination
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Olivier Duchateau freebsd_committer 2014-03-14 15:22:39 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!